<?php
class ADDON_DESCONTOS extends ISC_ADDON
{
public function __construct()
{
parent::__construct();
$this->SetName('Regra de desconto % por pedido');
$this->SetImage('');
$this->SetHelpText('Informe os niveis de descontos por % <br> Após ativar e configurar esse modulo é preciso ativar a seguinte função abaixo <br>
Acesse Menu Marketing => Consultar regra de desconto após isso clique em Criar uma regra de desconto...<br>
Na opção Produto Regra Baseada em Pedidos: selecione a seguinte Opção : Regra de desconto em % por pedido minimo até 03 níveis.<br>
Apareçerá as categorias que quer dar os descontos,basta selecionar as categorias de sua prefencia.<br>
<br>OBS: Não se pode deixar o 3° nível de desconto ativado se o 2° nível estiver desativado,Isso fará com que o modulo pare de funcionar por completo!

');
}
public function SetCustomVars()
{
$this->_variables['minimo1'] = array(
'type' => 'text',
'name' => 'Conceder desconto para pedidos a partir de R$',
'default' => '0',
'required' => false);

$this->_variables['desc1'] = array(
'type' => 'text',
'name' => '% de',
'default' => '0',
'required' => false);

$this->_variables['ativodesconto2'] = array(
'type' => 'dropdown',
'name' => 'Ativar 2° nível de desconto',
'default' => '0',
'options' => array(
'Sim' => '1',
'Não' => '0'
),
"multiselect" => false,
'required' => true
);

$this->_variables['minimo2'] = array(
'type' => 'text',
'name' => 'Conceder desconto nível2 para pedidos a partir de R$',
'default' => '0',
'required' => false);

$this->_variables['desc2'] = array(
'type' => 'text',
'name' => '% de',
'default' => '0',
'required' => false);

$this->_variables['ativodesconto3'] = array(
'type' => 'dropdown',
'name' => 'Ativar 3° nível de desconto',
'default' => '0',
'options' => array(
'Sim' => '1',
'Não' => '0'
),
"multiselect" => false,
'required' => true
);

$this->_variables['minimo3'] = array(
'type' => 'text',
'name' => 'Conceder desconto nível3 para pedidos a partir de R$',
'default' => '0',
'required' => false);

$this->_variables['desc3'] = array(
'type' => 'text',
'name' => '% de desconto',
'default' => '0',
'required' => false);


}


public function Init()
{
}
public function EntryPoint()
{
}
public function ToolsMenuExample()
{
}
}